Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
ChargebeechargebeeAPI

Import unbilled charges

Idempotency Supported

Imports one or more unbilled charges into an existing subscription. Use this operation to add usage-based or other unbilled charges recorded in external systems to the subscription.

Prerequisites & Constraints

If you are trying to use this operation on your live site, ensure you have requested Support to enable it, otherwise the API will return an "API not enabled" error.

Impacts

Invoicing

Accounting Integrations

Imported unbilled charges will not sync with your accounting integration until they are invoiced.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/import_unbilled_charges

Input Parameters

unbilled_charges[0..n]
Parameters for unbilled_charges. Multiple unbilled_charges can be passed by specifying unique indices.
pass parameters as unbilled_charges[<param name>][<idx:0..n>]
discounts[0..n]
Parameters for discounts. Multiple discounts can be passed by specifying unique indices.
pass parameters as discounts[<param name>][<idx:0..n>]
tiers[0..n]
Parameters for tiers. Multiple tiers can be passed by specifying unique indices.
pass parameters as tiers[<param name>][<idx:0..n>]

Returns

always returned
Resource object representing unbilled_charge